OpenGLUT 0.6.3 development - OpenGLUT: Deprecated Calls
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# Deprecated Calls
[OpenGLUT API Reference]

## Functions
void | glutMenuStateFunc (void(*callback)(int status))
void | glutVisibilityFunc (void(*callback)(int status))
void | glutWMCloseFunc (void(*callback)(void))

## Function Documentation

void glutMenuStateFunc | ( | void(* | callback)(int status) | ) |

  | Deprecated variant of glutMenuStatusFunc(). Parameters:
  | callback | Client menu status hook.
Broadly, OpenGLUT operates in two modes. At any given time, it is either in menu mode (with a popup menu display, possibly with subitems) or it is not. When moving from non-menu to menu status, callback (if defined) will be called with GLUT_MENU_IN_USE . Conversely, when moving from menu to non-menu status, callback (if defined) will be called with GLUT_MENU_NOT_IN_USE . This callback is bound to both the current window and the current menu. Note: Obsolete. Depcreated. Bug: Your callback is not actually called presently. See also: glutMenuStatusFunc()

void glutVisibilityFunc | ( | void(* | callback)(int status) | ) |

  | Sets the Visibility callback for the current window. Parameters:
  | callback | Client hook for visibility changes.
OpenGLUT may call this function when your window's visbility status has changed. status can take on two values: GLUT_NOT_VISIBLE or GLUT_VISIBLE . If any pixel of your window (including descendants) is visible, your window is GLUT_VISIBLE . The callback is bound to the current window. Note: This is not a polling mechanism. You are only informed of transitions that OpenGLUT observes while your callback is in place. This function appears to be superceded by glutWindowStatusFunc(). This callback is mutually exclusive of glutWindowStatusFunc(). See also: glutWindowStatusFunc()

void glutWMCloseFunc | ( | void(* | callback)(void) | ) |

  | Window destruction callback. Parameters:
  | callback | Client window destruction hook.
Warning: Deprecated - use glutCloseFunc instead. See also: glutCloseFunc()

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:33 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.